# Class ZooKeeperServerController

java.lang.Object
org.apache.zookeeper.server.controller.ZooKeeperServerController

public class ZooKeeperServerController extends Object
Class which accepts commands to modify ZooKeeperServer state or Connection state at runtime for the purpose of single machine integration testing. Not meant to be used in production. It is recommended to use this in conjunction with the CommandListener HttpServer and CommandClient.

## Constructor Summary

Constructors
Constructor
Description
`ZooKeeperServerController(QuorumPeerConfig config)`

## Method Summary

Modifier and Type
Method
Description
`protected ServerCnxnFactory`
`getCnxnFactory()`
`boolean`
`isReady()`
`void`
`processCommand(ControlCommand command)`
Process the command.
`void`
`run()`
`void`
`shutdown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZooKeeperServerController

public ZooKeeperServerController(QuorumPeerConfig config) throws IOException

Throws:
  `IOException`

## Method Details

### run

public void run()

### getCnxnFactory

protected ServerCnxnFactory getCnxnFactory()

### shutdown

public void shutdown()

### isReady

public boolean isReady()

### processCommand

public void processCommand(ControlCommand command)
Process the command. An exception indicates errors. No exception indicates success.